package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/7 星期五 15:14
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eFreezeRecord {
    PermanentFreeze(0),//永久冻结
    SpecifyTime(1);//指定时间

    private int value;

    eFreezeRecord(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eFreezeRecord valueOf(int value) {
        switch (value) {
            case 0:
                return eFreezeRecord.PermanentFreeze;
            case 1:
                return eFreezeRecord.SpecifyTime;
            default:
                return null;
        }
    }
}
